Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.model
Class MiningMartConcept

    java.lang.Object
      org.musoft.limo.model.ModelElement
          org.musoft.limo.model.ModelFigureElement
              edu.udo.cs.miningmart.gui.model.MiningMartModelFigureElement
                  edu.udo.cs.miningmart.gui.model.MiningMartConcept

    public class MiningMartConcept

extends MiningMartModelFigureElement

A wrapper for `Concept`s.

Version:
  $Id: MiningMartConcept.java,v 1.6 2006/09/27 15:00:00 euler Exp $
Author:
  Daniel Hakenjos

Field Summary

Fields inherited from class edu.udo.cs.miningmart.gui.model.MiningMartModelFigureElement
`mayChangeDocumentation`

Constructor Summary
`MiningMartConcept(MiningMartApplication app, Concept concept, org.musoft.limo.model.ModelFigureElement parent, java.awt.Point position, java.awt.Rectangle bounds)` Creates a new `MiningMartConcept` with the given parameters.

Method Summary
`MiningMartBaseAttribute` | `addMiningMartBaseAttribute(org.musoft.limo.model.ModelFigureElement parent, MiningMartBaseAttribute baseattribute)` Adds a `MiningMartBaseAttribute` to this `MiningMartConcept`.
`MiningMartMultiColumnFeature` | `addMiningMartMultiColumnFeature(org.musoft.limo.model.ModelFigureElement parent, MiningMartMultiColumnFeature mcfeature)` Adds a `MiningMartMultiColumnFeature` to this `MiningMartConcept`.
`boolean` | `canAddChild(org.musoft.limo.model.ModelFigureElement child)`
`boolean` | `canDeleteInDatabase()` Gets the flag indicating that this obkect can be deleted in the database.
`boolean` | `canDestroy()`
`boolean` | `canSetParent(org.musoft.limo.model.ModelFigureElement parent)`
`MiningMartBaseAttribute` | `createMiningMartBaseAttribute(org.musoft.limo.model.ModelFigureElement parent, BaseAttribute baseattribute, java.awt.Point point, java.awt.Rectangle bounds)` Creates a new `MiningMartBaseAttribute` with the specified parameters.
`MiningMartBaseAttribute` | `createMiningMartBaseAttribute(org.musoft.limo.model.ModelFigureElement parent, java.lang.String name, java.awt.Point point, java.awt.Rectangle bounds)` Creates a new `MiningMartBaseAttribute` with the specified parameters.
`MiningMartMultiColumnFeature` | `createMiningMartMultiColumnFeature(org.musoft.limo.model.ModelFigureElement parent, MultiColumnFeature mcfeature, java.awt.Point point, java.awt.Rectangle bounds)` Creates a new `MiningMartMultiColumnFeature` with the specified parameters.
`MiningMartMultiColumnFeature` | `createMiningMartMultiColumnFeature(org.musoft.limo.model.ModelFigureElement parent, java.lang.String name, java.awt.Point point, java.awt.Rectangle bounds)` Creates a new `MiningMartMultiColumnFeature` with the specified parameters.
`void` | `destroy()` Destroys the `MiningMartConcept` and deletes the underlying `Concept`.
`Concept` | `getConcept()` Gets the `Concept`.
`MiningMartConcepts` | `getMiningMartConcepts()` Gets the MiningMartConcepts.
`MiningMartApplication` | `getMMartApplication()` Gets the `MiningMartApplication`.
`java.lang.String` | `getName()` Gets the name of the `MiningMartConcept`.
`java.lang.String` | `getType()`
`void` | `initConcept()` Inits this `MiningMartConcept`.
`void` | `primitiveAttributeChanged(org.musoft.limo.model.ModelPrimitiveAttribute mpa)` If the description of this `MiningMartConcept` changed then set the documentation of the underlying `Concept`.
`void` | `setDeleteInDatabase(boolean bool, boolean propagate)` Sets the flag that this object could be deleted in the database.
`void` | `setName(java.lang.String name)` Sets the name of the `MiningMartConcept`.

Methods inherited from class org.musoft.limo.model.ModelFigureElement
`addChild, canRemoveChild, canSetBounds, canSetName, canSetPosition, clear, fireAddChild, fireCreateChild, fireCreateConnection, fireRemoveChild, fireSetParent, getBounds, getCenter, getChild, getChild, getChildCount, getChildOrConnection, getChildren, getChildren, getChildren, getCorner, getElement, getFullName, getMaximumBounds, getMinimumBounds, getModel, getNeededBounds, getParent, getPosition, getValidChildName, indexOfChild, indexOfChild, isChildOf, layout, removeChild, setBounds, setBounds, setCenter, setIndex, setParent, setPosition, setPosition`

Methods inherited from class org.musoft.limo.model.ModelElement
`addAttribute, addAttributeNew, addListener, associationEndChanged, changed, dump, fireDestroy, fireSetName, getAttribute, getAttribute, getAttributeCount, getListener, getListenerCount, getRootModel, indexOfAttribute, removeListener, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MiningMartConcept

    public MiningMartConcept(MiningMartApplication app,
                             Concept concept,
                             org.musoft.limo.model.ModelFigureElement parent,
                             java.awt.Point position,
                             java.awt.Rectangle bounds)

  Creates a new `MiningMartConcept` with the given parameters.

Method Detail

### getMMartApplication

    public MiningMartApplication getMMartApplication()

  Gets the `MiningMartApplication`.

### getMiningMartConcepts

    public MiningMartConcepts getMiningMartConcepts()

  Gets the MiningMartConcepts.

### initConcept

    public void initConcept()

  Inits this `MiningMartConcept`. It loads the attributes.

### addMiningMartBaseAttribute

    public MiningMartBaseAttribute addMiningMartBaseAttribute(org.musoft.limo.model.ModelFigureElement parent,
                                                              MiningMartBaseAttribute baseattribute)

  Adds a `MiningMartBaseAttribute` to this `MiningMartConcept`.

### createMiningMartBaseAttribute

    public MiningMartBaseAttribute createMiningMartBaseAttribute(org.musoft.limo.model.ModelFigureElement parent,
                                                                 java.lang.String name,
                                                                 java.awt.Point point,
                                                                 java.awt.Rectangle bounds)

  Creates a new `MiningMartBaseAttribute` with the specified parameters.

  Parameters:
    `parent` - the MiningMartBaseAttribute is child of this `ModelFigureElement`.
    `name` - the name of the `MiningMartBaseAttribute`
    `point` - the `MiningMartBaseAttribute` is placed at this point.
    `bounds` - the bounds of the figure.
  Returns:
    null if creating the MiningMartBaseAttribute is permitted

### createMiningMartBaseAttribute

    public MiningMartBaseAttribute createMiningMartBaseAttribute(org.musoft.limo.model.ModelFigureElement parent,
                                                                 BaseAttribute baseattribute,
                                                                 java.awt.Point point,
                                                                 java.awt.Rectangle bounds)

  Creates a new `MiningMartBaseAttribute` with the specified parameters.

  Parameters:
    `parent` - the MiningMartBaseAttribute is child of this `ModelFigureElement`.
    `concept` - the created `MiningMartBaseAttribute` wrapps this `BaseAttribute`.
    `point` - the `MiningMartBaseAttribute` is placed at this point.
    `bounds` - the bounds of the `MiningMartBaseAttribute`.
  Returns:
    null if creating the MiningMartBaseAttribute is permitted

### addMiningMartMultiColumnFeature

    public MiningMartMultiColumnFeature addMiningMartMultiColumnFeature(org.musoft.limo.model.ModelFigureElement parent,
                                                                        MiningMartMultiColumnFeature mcfeature)

  Adds a `MiningMartMultiColumnFeature` to this `MiningMartConcept`.

### createMiningMartMultiColumnFeature

    public MiningMartMultiColumnFeature createMiningMartMultiColumnFeature(org.musoft.limo.model.ModelFigureElement parent,
                                                                           java.lang.String name,
                                                                           java.awt.Point point,
                                                                           java.awt.Rectangle bounds)

  Creates a new `MiningMartMultiColumnFeature` with the specified parameters.

  Parameters:
    `parent` - the MiningMartMultiColumnFeature is child of this `ModelFigureElement`.
    `name` - the name of the `MiningMartMultiColumnFeature`
    `point` - the `MiningMartMultiColumnFeature` is placed at this point.
    `bounds` - the bounds of the figure.
  Returns:
    null if creating the MiningMartMultiColumnFeaturee is permitted

### createMiningMartMultiColumnFeature

    public MiningMartMultiColumnFeature createMiningMartMultiColumnFeature(org.musoft.limo.model.ModelFigureElement parent,
                                                                           MultiColumnFeature mcfeature,
                                                                           java.awt.Point point,
                                                                           java.awt.Rectangle bounds)

  Creates a new `MiningMartMultiColumnFeature` with the specified parameters.

  Parameters:
    `parent` - the MiningMartMultiColumnFeaturee is child of this `ModelFigureElement`.
    `concept` - the created `MiningMartMultiColumnFeaturee` wrapps this `BaseAttribute`.
    `point` - the `MiningMartMultiColumnFeature` is placed at this point.
    `bounds` - the bounds of the `MiningMartMultiColumnFeature`.
  Returns:
    null if creating the MiningMartMultiColumnFeature is permitted

### canSetParent

    public boolean canSetParent(org.musoft.limo.model.ModelFigureElement parent)

  Overrides:
    `canSetParent` in class `org.musoft.limo.model.ModelFigureElement`

### getType

    public java.lang.String getType()

  Overrides:
    `getType` in class `org.musoft.limo.model.ModelElement`

### getName

    public java.lang.String getName()

  Gets the name of the `MiningMartConcept`.

  Overrides:
    `getName` in class `org.musoft.limo.model.ModelElement`
  Returns:
    returns the name of the `Concept`
  See Also:
    `M4Object.getName()`

### setName

    public void setName(java.lang.String name)

  Sets the name of the `MiningMartConcept`. It means it sets the name of the `Concept`.

  Overrides:
    `setName` in class `org.musoft.limo.model.ModelElement`
  See Also:
    `M4Object.setName(String)`

### getConcept

    public Concept getConcept()

  Gets the `Concept`.

### primitiveAttributeChanged

    public void primitiveAttributeChanged(org.musoft.limo.model.ModelPrimitiveAttribute mpa)

  If the description of this `MiningMartConcept` changed then set the documentation of the underlying `Concept`.

  Overrides:
    `primitiveAttributeChanged` in class `MiningMartModelFigureElement`
  See Also:
    `ModelElement.primitiveAttributeChanged(ModelPrimitiveAttribute)`

### canDestroy

    public boolean canDestroy()

  Overrides:
    `canDestroy` in class `org.musoft.limo.model.ModelElement`

### destroy

    public void destroy()

  Destroys the `MiningMartConcept` and deletes the underlying `Concept`.

  Overrides:
    `destroy` in class `org.musoft.limo.model.ModelFigureElement`
  See Also:
    `ModelElement.destroy()`

### setDeleteInDatabase

    public void setDeleteInDatabase(boolean bool,
                                    boolean propagate)

  Sets the flag that this object could be deleted in the database.

### canDeleteInDatabase

    public boolean canDeleteInDatabase()

  Gets the flag indicating that this obkect can be deleted in the database.

### canAddChild

    public boolean canAddChild(org.musoft.limo.model.ModelFigureElement child)

  Overrides:
    `canAddChild` in class `org.musoft.limo.model.ModelFigureElement`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005